When I tried to install UEX under 64-bit Fedora 13, I got the complaint:

Code: Select all
# rpm -ivh UltraEdit-1.2-0.9.fc12.x86_64.rpm 
error: Failed dependencies:
   libboost_regex.so.5()(64bit) is needed by UltraEdit-1.2-0.9.fc12.x86_64


so I worked around this by doing:

Code: Select all
# rpm -ivh --nodeps UltraEdit-1.2-0.9.fc12.x86_64.rpm 
# ln -s /usr/lib64/libboost_regex.so /usr/lib64/libboost_regex.so.5


With this workaround, I am able to use UEX on 64-bit Fedora 13 and so far most everything seems to work. However, if I try to use Perl regex, it crashes. UNIX and UltraEdit regex seem to work. Here is the version of boost-regex currently installed:

Code: Select all
# rpm -q boost-regex
boost-regex-1.41.0-9.fc13.x86_64
# rpm -ql boost-regex
/usr/lib64/libboost_regex-mt.so.1.41.0
/usr/lib64/libboost_regex.so.1.41.0
/usr/share/doc/boost-regex-1.41.0
/usr/share/doc/boost-regex-1.41.0/LICENSE_1_0.txt


I already sent an EMail to the appropriate address, so I am recording this information in the forum also in case others run into this.